Name:           oggconvert
Version:        0.3.3
Release:        16%{?dist}
Summary:        Convert media files to Free formats

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://launchpad.net/oggconvert
Source0:        http://oggconvert.tristanb.net/releases/%{version}/oggconvert-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  pygtk2 >= 2.10, pygtk2-libglade >= 2.10
BuildRequires:  gstreamer >= 0.10.12, gstreamer-python, gstreamer-plugins-base
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       pygtk2 >= 2.10, pygtk2-libglade >= 2.10
Requires:       gstreamer >= 0.10.12, gstreamer-python, gstreamer-plugins-base

%description
# Description from site
OggConvert is a small GNOME utility that uses GStreamer 
to convert media files to the patent-free Theora
and Vorbis formats. It also supports the Dirac format,
through the schrodinger codec. It's painfully easy to use, 
changing the quality settings and the output 
filename is simple. It uses GStreamer, so it can 
convert (almost) any file which Totem can play. 
It can deal with audio-only files, video-only files, 
and files with many audio tracks (such as DVD rips with 
a commentary track). Thanks to the magic of GStreamer, metadata 
(for example, title and artist info on an MP3) is preserved. 
Finally, it adheres to the GNOME HIG as much as possible.

%prep
%setup -q

%build
%py2_build

%install
%py2_install

desktop-file-install --delete-original        \
  --dir=%{buildroot}%{_datadir}/applications               \
  --add-category X-OutputGeneration                           \
  %{buildroot}/%{_datadir}/applications/oggconvert.desktop
%find_lang %{name}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<!--
BugReportURL: https://bugs.launchpad.net/oggconvert/+bug/1229276
SentUpstream: 2014-09-22
-->
<application>
  <id type="desktop">oggconvert.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <description>
    <p>
      OggConvert is an easy to use tool for converting audio and video files of
      various types into the free Ogg Vorbis audio format, and the Theora, VP8
      and Dirac video formats.
      It uses GStreamer, so it can convert (almost) any file which GStreamer
      supports.
    </p>
    <p>
      OggConvert can convert audio files and video files including video files
      with multiple soundtracks.
      It preserves metadata, for example artist and title info.
    </p>
  </description>
  <url type="homepage">http://oggconvert.tristanb.net/</url>
  <screenshots>
    <screenshot type="default">http://oggconvert.tristanb.net/screenshots/oggconvert-0.3.0-en.png</screenshot>
  </screenshots>
  <!-- FIXME: change this to an upstream email address for spec updates
  <updatecontact>someone_who_cares@upstream_project.org</updatecontact>
   -->
</application>
EOF

%files -f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc README AUTHORS TODO ChangeLog PKG-INFO
%{python2_sitelib}/OggConvert/
%{_bindir}/oggconvert
%{_datadir}/appdata/*%{name}.appdata.xml
%{_datadir}/applications/*oggconvert.desktop
%{_datadir}/pixmaps/oggconvert.svg
%{python2_sitelib}/oggconvert-%{version}-py?.?.egg-info

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 02 2016 Neal Gompa <ngompa13{%}gmail{*}com> - 0.3.3-12
- Clean up spec to better match current Fedora guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.3.3-10
- Add an AppData file for the software center

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Jon Ciesla <limburgher@gmail.com> - 0.3.3-7
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon May 24 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 0.3.3-1
- Update to OggConvert 0.3.3
- Removed patch used for 0.3.2, not needed for 0.3.3

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.2-7
- Update desktop file according to F-12 FedoraStudio feature

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.2-4
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.2-3
- Rebuild for Python 2.6

* Thu Nov 20 2008 Richard Hughes <rhughes@redhat.com> - 0.3.2-2
- Update the summary to be more terse.
- Fixes #472365

* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.3.2-1
- upgrade to 0.3.2, fix FTBFS BZ#440943

* Sat Dec 1 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.3.0-14
- Oops, apparently files removal was intentional, reinstated
- removed dependency on gettext, probably not necessary

* Sat Nov 24 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.3.0-13
- Updated to OggConvert 0.3.0
- Added translations
- included icon
- Added more docs to include
- Fixed a bug in install sequence where sometimes the 
  files would be removed before being assembled into the package

* Sat Oct 6 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.1.1-12
- Made changes for .desktop file to conform with guidelines
- Changed license label to conform with Fedora Packaging Guidelines

* Fri Sep 21 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.1.1-11
- Added back in python-devel as BuildRequires... Idiotically removed it!

* Mon Sep 3 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.1.1-10
- Removed direct requirement for Python, python-based deps take care of it
- Removed direct requirement for gtk2, pygtk2 takes care of it
- Removed devels and added regular py packages, apparently devels not needed

* Wed Jul 25 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.1.1-9
- cross-distro support too messy, removed and reverted to split specfiles

* Mon Jul 23 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.1.1-8
- Modified spec to be more compliant with rpmlint and mock in description lines
- Changed some of the requirements to be more explicit, e.g. pygtk2-libglade
- Updated versioning of build requirements in order to be safe
- Rebuild to OggConvert 0.2.1.1 to include missing files
- Cross-distro with SUSE added

* Mon Jul 9 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.1.0-7
- Rebuild to OggConvert 0.2.1

* Wed Jun 20 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.0.0-6
- Versioned the changelog

* Wed Jun 20 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.0.0-5
- Changed application group from AudioVideo to Multimedia for standardization

* Wed Jun 20 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.0.0-4
- Added gstreamer-python to BuildRequires to ensure mock build

* Wed Jun 20 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.0.0-3
- Updated spec to Fedora Project Packaging Guidelines

* Sun Jun 3 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.0.0-2
- Updated package to distro-version specific rpm due to python changes being too different.
- Updated package to Fedora 7 due to usage of Python 2.5 in Fedora 7

* Sun May 13 2007 Neal Gompa <ngompa13{%}gmail{*}com> - 0.2.0.0-1
- Created initial specfile. Program author's rpm unsatisfactorily handles installation.
